﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8706
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-16363639.012771, 8878925.2042044, -4241337.8251394, 572360.46788562);
                Map1.MapUnit = GeographyUnit.Meter;

                GoogleOverlay googleOverlay = new GoogleOverlay("GoogleOverlay");
                Map1.CustomOverlays.Add(googleOverlay);

                PointShape point1 = new PointShape(-11975542.093828, 4784346.4737598);
                PointShape point2 = new PointShape(-8649002.6233203, 4745210.7152832);


                PointMarkerStyle markerStyle = new PointMarkerStyle();
                markerStyle.Popup.ContentHtml = "<div style='font-size:11px'>Kansas City</Div>";
                markerStyle.Popup.HasCloseButton = true;

                ClusterMarkerStyle clusterMarkerStyle = new ClusterMarkerStyle();
                //clusterMarkerStyle.MapWidth = 1200;
                //clusterMarkerStyle.MapHeight = 900;
                clusterMarkerStyle.MarkerStyle = markerStyle;

                InMemoryMarkerOverlay markerOverlay1 = new InMemoryMarkerOverlay("MarkerOverlay");
                markerOverlay1.Features.Add(new Feature(point1));
                markerOverlay1.Features.Add(new Feature(point2));
                markerOverlay1.ZoomLevelSet.ZoomLevel01.CustomMarkerStyle = clusterMarkerStyle;
                markerOverlay1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Map1.CustomOverlays.Add(markerOverlay1);
            }
        }
    }
}
